GCLOUD_COMPUTE_TARGET-INSTANCES_DELETE(1)

NAME

gcloud compute target-instances delete - delete target instances

SYNOPSIS

gcloud compute target-instances delete NAME [NAME ...] [--zone=ZONE] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
gcloud compute target-instances delete deletes one or more Google Compute Engine target instances. Target instances can be deleted only if they are not being used by any other resources like forwarding rules.

POSITIONAL ARGUMENTS

    NAME [NAME ...]
        The names of the target instances to delete.

FLAGS

    --zone=ZONE
        The zone of the target instances to delete. If not specified, you may be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.